/*

======================================================================

  Seyon is Copyright (c) 1992 of Muhammad M. Saggaf. Seyon is not
  public domain. Permission is granted to use and distribute Seyon
  freely for any use and to sell it at any price without reference to
  the copyright owner provided that in all above cases Seyon is intact
  and is not made part of any program either in whole or in part and
  that this copyright notice is included with Seyon. Permission is
  also granted to modify the source as long as the modified source is
  not distributed.

======================================================================

*/

struct QueryResources {
  String modem;
  String script;

  String defaultBPS;
  Boolean sevenBitMask;
  Boolean newlineTranslation;
  Boolean backspaceTranslation;
  Boolean metaKeyTranslation;
  Boolean xonxoffFlowControl;
  Boolean rtsctsFlowControl;

  String dialPrefix;
  String dialSuffix;
  String dialCancel;

  short dialTimeOut;
  short dialDelay;
  short dialRepeat;

  String connectString;
  String noConnectString[4];

  Boolean hangupConfirm;
  Boolean exitConfirm;

  Boolean zmodemAutoDownload;
  String zmodemAutoDownloadCommand;

  String defaultDirectory;
  String scriptDirectory;
  String startupFile;
  String phoneFile;
  String protocolsFile;
  String captureFile;
  String helpFile;

  int funMessagesInterval;
  String *funMessages;

  String version;
};

extern XtAppContext app_con;
extern struct QueryResources qres;

extern Widget SeAddButton(), SeAddButtonWithClientData(), SeAddLabel(), 
  SeAddToggle();
extern Widget SeCreatePopup(), SeCreateTopLevelPopup(), SeAddDialog(), 
  SeAddForm();
extern void DestroyParentPopup();
extern void SeDisplayFile(), SeEditFile();
Dimension SeWidgetWidth(), SeWidgetHeight();

extern void MonitorChild();

