/*

======================================================================

  Seyon is Copyright (c) 1992 of Muhammad M. Saggaf. Seyon is not
  public domain. Permission is granted to use and distribute Seyon
  freely for any use and to sell it at any price without reference to
  the copyright owner provided that in all above cases Seyon is intact
  and is not made part of any program either in whole or in part and
  that this copyright notice is included with Seyon. Permission is
  also granted to modify the source as long as the modified source is
  not distributed.

======================================================================

*/

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

main(argc, argv)
	 int argc;
	 char *argv[];
{
  char *shell, *arg[256];
  short i, n, sep_index;

  for(i = 1; i < argc && strcmp(argv[i], "--"); i++);
  sep_index = i;

  n = 1;
  arg[n] = "-name"; n++;
  arg[n] = "Seyon"; n++;
  arg[n] = "-T"; n++;
  arg[n] = "Seyon Terminal Emulator"; n++;
  arg[n] = "-n"; n++;
  arg[n] = "Seyon Term"; n++;

  for(i = sep_index+1; i < argc; i++, n++)
	arg[n] = argv[i];

  arg[n] = "-e"; n++;
  arg[n] = "seyon-cmd"; n++;

  for(i = 1; i < sep_index; i++, n++)
	arg[n] = argv[i];

  arg[n] = NULL; n++;

  arg[0] = "seyon-emu";
  execvp(arg[0], arg);

  fprintf(stderr, "%s\n%s\n", ">> Warning: could not execute 'seyon-emu'.",
		  ">> Warning: falling to 'xterm'.");
  
  arg[0] = "xterm";
  execvp(arg[0], arg);

  fprintf(stderr, "%s\n%s\n", ">> Error: could not execute 'xterm'.",
		  ">> Error: giving up.");
  exit(1);
}
