/*

======================================================================

  Seyon is Copyright (c) 1992 of Muhammad M. Saggaf. Seyon is not
  public domain. Permission is granted to use and distribute Seyon
  freely for any use and to sell it at any price without reference to
  the copyright owner provided that in all above cases Seyon is intact
  and is not made part of any program either in whole or in part and
  that this copyright notice is included with Seyon. Permission is
  also granted to modify the source as long as the modified source is
  not distributed.

======================================================================

*/

#include "config.h"

/*
    XCOMM Global Definitions
*/


/* None of these is needed any more. Will be deletd later */

#define TOGCHAR        (('T' & 0x1f) + 128)	/* Toggle capture buffer */
#define DIVCHAR        (('F' & 0x1f) + 128)	/* Send file through modem */

/*
    Other defines
*/

#ifndef TRUE
#define TRUE    1
#define FALSE   0
#endif

#define K       1024

/* globals */

#include <stdio.h>
#include <setjmp.h>
#include <sys/types.h>

extern jmp_buf erret;
extern int verbose, bitmask;
extern int quote_flag;
extern char *mport();
extern short linkflag, scriptflag, eof_flag;
extern char word[], *wptr, line[];

extern int tfd;
extern FILE *tfp;
extern pid_t term_pid;

extern void s_script(), s_set(), s_term(), s_exit();
extern void s_help(), hangup();
extern FILE *openfile();
extern void s_shell();

struct kw {			/* Used by command parsing routines */
    char *keyword;
    void (*rtn)();
};


struct command {
  char *name;
  void (*call_back)();
};

extern void DoNothing();
extern void NotImplemented();
extern void DestroyPopupPrompt();

extern void Dial();
extern char *str_filter();
extern void top_set(), top_dial(), s_transfer(), top_transfer();

#define Show(msg) UpdateMessage(msg)
