/*

======================================================================

  Seyon is Copyright (c) 1992 of Muhammad M. Saggaf. Seyon is not
  public domain. Permission is granted to use and distribute Seyon
  freely for any use and to sell it at any price without reference to
  the copyright owner provided that in all above cases Seyon is intact
  and is not made part of any program either in whole or in part and
  that this copyright notice is included with Seyon. Permission is
  also granted to modify the source as long as the modified source is
  not distributed.

======================================================================

*/

extern void send_break();
extern char *str_strip_lead_end_space();
extern char *str_strip_lead_space(), *str_strip_end_space();
extern char *expand_fname();
extern FILE *open_file(), *open_file_va();

#ifdef HAVE_TERMIOS
extern struct termios oldmode, newmode;
#else
#ifdef HAVE_TERMIO
extern struct termio oldmode, newmode;
#endif
#endif

extern char captureFile[REG_BUF];
extern int child_pipe[2];

#define START_TERM                20
#define START_AUTO_ZM             21
#define SET_MESSAGE               22
#define CLEANUP_AFTER_DIALER      23
#define REMOVE_CURRENT_ITEM       24
#define DIAL_CIRCULATE            25

#define SSpc(str) str_strip_lead_end_space(str)

#define SBIT 0x7f
#define EBIT 0xff
