#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>

#include "seyon.h"
#include "SeDeclX.h"

extern void do_exit();

void SePopupInitError(parent, msg)
	 Widget parent;
	 String msg;
{
  SePopupNotice(parent, 0, "Seyon Initialization Error", 
				do_exit, msg);
}

void SePopupInitErrorF(parent, fmt, a, b, c, d)
	 Widget parent;
	 String fmt, a, b, c, d;
{
  char buf[REG_BUF];
  
  sprintf(buf, fmt, a, b, c, d);
  SePopupInitError(parent, buf);
}

void SePopupWarningF(parent, fmt, a, b, c, d)
	 Widget parent;
	 String fmt, a, b, c, d;
{
  SePopupNoticeF(parent, 0, "Seyon Warning", DestroyParentPopup, 
				 fmt, a, b, c, d);
}

void SePopupInitWarningF(parent, fmt, a, b, c, d)
	 Widget parent;
	 String fmt, a, b, c, d;
{
  SePopupNoticeF(parent, 0, "Seyon Initialization Warning", 
				 DestroyParentPopup, fmt, a, b, c, d);
}


/*void init_error_exit(widget, client_data)
	 Widget widget;
	 XtPointer client_data;
{*/
  
	 
